Page MenuHomePhabricator

Deploy rights for Daniel Kinzler
Closed, ResolvedPublic

Description

Please give Daniel rights needed for deployment.

Original
Can you give me +2 on config and deployment branches? I have had shell access
for a long time (though I rarely use it). I think it might be helpful if I was
able to do SWAT deployments and config changes.

Event Timeline

daniel created this task.Mar 23 2020, 4:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2020, 4:09 PM

Mentioned in SAL (#wikimedia-releng) [2020-03-24T15:48:47Z] <greg-g> added dkinzler@wikimedia.org to wmf-deployments (cf: T248324)

greg added a subscriber: greg.

Hello SRE-Access-Requests : Daniel needs to be added to the deployment group in production. He has my approval.

Restricted Application added a project: Operations. · View Herald TranscriptMar 24 2020, 3:57 PM
greg renamed this task from Merge rights for Daniel on config and deployment branches. to Deploy rights for Daniel Kinzler.Mar 24 2020, 3:58 PM
greg triaged this task as Medium priority.
greg updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.Mar 24 2020, 5:15 PM

Checked the Gerrit side and Daniel is already member of wmf-deployment for +2 in repos.

Change 583110 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Daniel Kinzler to deployment group

https://gerrit.wikimedia.org/r/583110

Change 583110 merged by Volans:
[operations/puppet@production] admins: add Daniel Kinzler to deployment group

https://gerrit.wikimedia.org/r/583110

Volans closed this task as Resolved.Mar 24 2020, 5:59 PM
Volans claimed this task.
Volans moved this task from Untriaged to Ready To Go on the SRE-Access-Requests board.
Volans added a subscriber: Volans.

The change was merged. Let at least 30 minutes pass to make sure that it has been applied everywhere.
Resolving, feel free to re-open in case you encounter any issue.